*
* Generic triode model: 12BY7AT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:15 2008
*               Plate
*               | Grid
*               | | Cathode
*               | | |
.SUBCKT 12BY7AT A G K
.param GG {(V(G,K)+-0.02185341)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014593712*EP)^-0.7027291)}
.param M2 {((0.68097344*URAMP(GG+EP/21.860549))^2.2027291)}
.param P  {(0.0061475247*URAMP(GG+EP/32.101912)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0036081888*M1*M2)}
.param IG {(0.0030737623*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0033632383*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.1p
CGK G K 6.1p
CAK A K 3.4p
.ENDS
