*
* Generic triode model: 14AF7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:46:24 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 14AF7 A G K
.param GG {(V(G,K)+0.77793251)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0061210583*EP)^-0.15593519)}
.param M2 {((0.90583256*URAMP(GG+EP/15.384177))^1.6559352)}
.param P  {(0.0006681181*URAMP(GG+EP/16.983467)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00046940316*M1*M2)}
.param IG {(0.00033405905*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00039392832*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.3p
CGK G K 2.2p
CAK A K 1.6p
.ENDS
