*
* Generic triode model: 350BT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:53 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 350BT A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.060793226*EP)^-0.90421858)}
.param M2 {((0.62390334*URAMP(GG+EP/6.1864896))^2.4042186)}
.param P  {(0.0019265247*URAMP(GG+EP/9.9157821)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0012190211*M1*M2)}
.param IG {(0.00096326237*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0012619241*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.7p
CGK G K 9.3p
CAK A K 7.5p
.ENDS
