*
* Generic triode model: 3A167M
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:38:57 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 3A167M A G K
.param GG {(V(G,K)+0.41219892)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0067454169*EP)^-0.5944305)}
.param M2 {((0.71618514*URAMP(GG+EP/42.075214))^2.0944305)}
.param P  {(0.034181438*URAMP(GG+EP/58.749074)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.01971674*M1*M2)}
.param IG {(0.017090719*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.017967154*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 11p
CAK A K 2.5p
.ENDS
