*
* Generic triode model: 41MXP
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:30 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 41MXP A G K
.param GG {(V(G,K)+0.99999047)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.24250237*EP)^-4.0569457)}
.param M2 {((0.26993246*URAMP(GG+EP/3.0105584))^5.5569457)}
.param P  {(0.0015885113*URAMP(GG+EP/11.153006)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.089955716*M1*M2)}
.param IG {(0.00079425566*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0010126188*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 4p
.ENDS
