*
* Generic triode model: 59Th
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:43 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 59Th A G K
.param GG {(V(G,K)+0.99979071)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.073387615*EP)^-5.8658889)}
.param M2 {((0.20364141*URAMP(GG+EP/10.851403))^7.3658889)}
.param P  {(0.00056363412*URAMP(GG+EP/53.286819)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*1.6789061*M1*M2)}
.param IG {(0.00021213204*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00038183766*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 4p
.ENDS
