*
* Generic triode model: 6072
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:09 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6072 A G K
.param GG {(V(G,K)+0.75743218)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0057774859*EP)^-0.42611934)}
.param M2 {((0.77876794*URAMP(GG+EP/38.292098))^1.9261193)}
.param P  {(0.00098547839*URAMP(GG+EP/49.1701)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00057643098*M1*M2)}
.param IG {(0.0004927392*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00052295488*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.4p
CGK G K 1.4p
CAK A K 0.5p
.ENDS
