*
* Generic triode model: 6267T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:16 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6267T A G K
.param GG {(V(G,K)+0.59868749)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.010782364*EP)^-0.70765893)}
.param M2 {((0.67945278*URAMP(GG+EP/29.728844))^2.2076589)}
.param P  {(0.0013378994*URAMP(GG+EP/43.754099)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00078620809*M1*M2)}
.param IG {(0.00066894969*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00071507731*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.6p
CGK G K 2.3p
CAK A K 5.3p
.ENDS
