*
* Generic triode model: 6900
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:22 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6900 A G K
.param GG {(V(G,K)+0.77471006)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.027887036*EP)^-0.93085057)}
.param M2 {((0.61706796*URAMP(GG+EP/13.731543))^2.4308506)}
.param P  {(0.0043178017*URAMP(GG+EP/22.252886)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0027693634*M1*M2)}
.param IG {(0.0021589009*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0024531966*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 8p
CAK A K 1p
.ENDS
