*
* Generic triode model: 6AF4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:00 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6AF4 A G K
.param GG {(V(G,K)+0.77962386)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.090647641*EP)^-2.2226779)}
.param M2 {((0.40293574*URAMP(GG+EP/6.5866497))^3.7226779)}
.param P  {(0.0031145251*URAMP(GG+EP/16.34665)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0074643586*M1*M2)}
.param IG {(0.00128701*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0012749818*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.9p
CGK G K 2.2p
CAK A K 1.4p
.ENDS
