*
* Generic triode model: 6BQ5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:19 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6BQ5T A G K
.param GG {(V(G,K)+0.03372597)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014266539*EP)^-0.43210132)}
.param M2 {((0.7763568*URAMP(GG+EP/15.676066))^1.9321013)}
.param P  {(0.0040800354*URAMP(GG+EP/20.191832)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0023829269*M1*M2)}
.param IG {(0.0020400177*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0023468355*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.6p
CGK G K 6.2p
CAK A K 6p
.ENDS
