*
* Generic triode model: 6CB5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:35 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CB5T A G K
.param GG {(V(G,K)+0.12233722)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.099225459*EP)^-0.68051603)}
.param M2 {((0.68791056*URAMP(GG+EP/3.1452557))^2.180516)}
.param P  {(0.0027158296*URAMP(GG+EP/4.572187)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0015860374*M1*M2)}
.param IG {(0.0013579148*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0022959718*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9p
CGK G K 13p
CAK A K 9.6p
.ENDS
