*
* Generic triode model: 6CD6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:38 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CD6T A G K
.param GG {(V(G,K)+-0.11853336)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.13222789*EP)^-1.0472626)}
.param M2 {((0.58886744*URAMP(GG+EP/3.1092727))^2.5472626)}
.param P  {(0.0032013575*URAMP(GG+EP/5.2800894)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0021974746*M1*M2)}
.param IG {(0.0016006788*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0025519299*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.5p
CGK G K 12.6p
CAK A K 7.5p
.ENDS
