*
* Generic triode model: 6CW5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:44 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CW5T A G K
.param GG {(V(G,K)+0.38874904)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.09419804*EP)^-1.560546)}
.param M2 {((0.49010862*URAMP(GG+EP/5.4129723))^3.060546)}
.param P  {(0.0055371733*URAMP(GG+EP/11.044434)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0058898823*M1*M2)}
.param IG {(0.0027685867*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0035373923*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 6.9p
CAK A K 5.4p
.ENDS
