*
* Generic triode model: 6DT8
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:52 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6DT8 A G K
.param GG {(V(G,K)+0.65426696)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.023769959*EP)^-2.7472313)}
.param M2 {((0.35317125*URAMP(GG+EP/27.212026))^4.2472313)}
.param P  {(0.0033862784*URAMP(GG+EP/77.050513)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.017852785*M1*M2)}
.param IG {(0.0016931392*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0017592759*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.6p
CGK G K 2.7p
CAK A K 1.6p
.ENDS
