*
* Generic triode model: 6JR6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:20 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6JR6T A G K
.param GG {(V(G,K)+0.99994363)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.13323481*EP)^-1.5275541)}
.param M2 {((0.49544944*URAMP(GG+EP/3.7869273))^3.0275541)}
.param P  {(0.0072054321*URAMP(GG+EP/7.6434182)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0074085952*M1*M2)}
.param IG {(0.003602716*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0050620509*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.2p
CGK G K 12.8p
CAK A K 8.3p
.ENDS
