*
* Generic triode model: 6RB11T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:50 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6RB11T A G K
.param GG {(V(G,K)+0.65537204)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.11100294*EP)^-2.2938121)}
.param M2 {((0.39538068*URAMP(GG+EP/5.4468766))^3.7938121)}
.param P  {(0.0034776823*URAMP(GG+EP/13.776284)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0092134348*M1*M2)}
.param IG {(0.0017388412*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0021242915*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 5.6p
CAK A K 6.3p
.ENDS
