*
* Generic triode model: 6RP15T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:50 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6RP15T A G K
.param GG {(V(G,K)+0.81734398)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014236687*EP)^-0.37474407)}
.param M2 {((0.80010921*URAMP(GG+EP/14.040541))^1.8747441)}
.param P  {(0.0033159507*URAMP(GG+EP/17.548281)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0019718712*M1*M2)}
.param IG {(0.0016579754*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0019454182*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.6p
CGK G K 6.2p
CAK A K 6p
.ENDS
