*
* Generic triode model: 6V6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:04 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6V6T A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.048335289*EP)^-0.77023894)}
.param M2 {((0.6607234*URAMP(GG+EP/7.0192317))^2.2702389)}
.param P  {(0.0010053341*URAMP(GG+EP/10.623555)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00060166202*M1*M2)}
.param IG {(0.00051429562*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00061491868*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 5p
CAK A K 6.9p
.ENDS
