*
* Generic triode model: 76
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:47 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 76 A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.021188923*EP)^-0.55369678)}
.param M2 {((0.7303902*URAMP(GG+EP/12.724092))^2.0536968)}
.param P  {(0.00075511262*URAMP(GG+EP/17.420951)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00043487165*M1*M2)}
.param IG {(0.00037755631*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00044349824*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.8p
CGK G K 3.5p
CAK A K 2.5p
.ENDS
