*
* Generic triode model: 8045G
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:25 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 8045G A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.16254949*EP)^-1.8473377)}
.param M2 {((0.44811732*URAMP(GG+EP/3.3951672))^3.3473377)}
.param P  {(0.006744417*URAMP(GG+EP/7.5765141)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0099093555*M1*M2)}
.param IG {(0.0033722085*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0047506048*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16p
CGK G K 24p
CAK A K 16p
.ENDS
