*
* Generic triode model: EC86
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:35 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT EC86 A G K
.param GG {(V(G,K)+0.22760069)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0026112468*EP)^-0.29355976)}
.param M2 {((0.83632563*URAMP(GG+EP/62.680543))^1.7935598)}
.param P  {(0.0095464624*URAMP(GG+EP/74.947533)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0059140675*M1*M2)}
.param IG {(0.0047732312*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00496493*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.2p
CGK G K 3.5p
CAK A K 0.2p
.ENDS
