*
* Generic triode model: ECL85T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Wed Oct 22 16:34:55 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT ECL85T A G K
.param GG {(V(G,K)+0.53083873)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0093163171*EP)^-0.90408466)}
.param M2 {((0.6239381*URAMP(GG+EP/40.365941))^2.4040847)}
.param P  {(0.0035136299*URAMP(GG+EP/64.695426)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0022231252*M1*M2)}
.param IG {(0.0017568149*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0018385944*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 2.7p
CAK A K 4p
.ENDS
