*
* Generic triode model: MHL4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:00 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT MHL4 A G K
.param GG {(V(G,K)+0.4016137)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.017679176*EP)^-0.56606943)}
.param M2 {((0.72601626*URAMP(GG+EP/15.49754))^2.0660694)}
.param P  {(0.00078960956*URAMP(GG+EP/21.345996)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00045482006*M1*M2)}
.param IG {(0.00039480478*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00045093613*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.9p
CGK G K 5.4p
CAK A K 4.5p
.ENDS
