*
* Generic triode model: RE604
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:07 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT RE604 A G K
.param GG {(V(G,K)+0.99997938)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.030921607*EP)^-0.18515194)}
.param M2 {((0.89012745*URAMP(GG+EP/3.5532613))^1.6851519)}
.param P  {(0.00042470572*URAMP(GG+EP/3.9918568)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00028831412*M1*M2)}
.param IG {(0.00021235286*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00038155471*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 4p
.ENDS
