*
* Generic pentode model: 1619
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:00 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 1619 A G2 G1 K
.param GG  {(V(G1,K)+-0.99999999)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.021726327*EG2)^-0.34437983)}
.param M2  {((0.8132815*URAMP(GG+EG2/8.5941123))^1.8443798)}
.param P   {(0.00095297512*URAMP(GG+EG2/10.567205)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.00057412229*M1*M2)}
.param IG  {(0.00047648756*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.922008525*(1-EP/(EP+10))^1.5+0.077991475))}
.param IK3 {(IK2*(EP+4700)/(EG2+4700))}
.param IK4 {(IK3-URAMP(IK3-(0.0006149126*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0006149126*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.35p
CGK G1 K  6.1p
C12 G1 G2 4.1p
CAK A  K  12.2p
.ENDS
