*
* Generic triode model: 46
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:32 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 46 A G K
.param GG {(V(G,K)+-0.6332578)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.012087887*EP)^-1.4892322)}
.param M2 {((0.50180111*URAMP(GG+EP/41.214721))^2.9892322)}
.param P  {(0.00056616214*URAMP(GG+EP/82.13358)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0005601202*M1*M2)}
.param IG {(0.00016122035*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00033941125*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 4p
.ENDS
