*
* Generic triode model: 50
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:33 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 50 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.053592842*EP)^-0.32643301)}
.param M2 {((0.82127294*URAMP(GG+EP/3.3349055))^1.826433)}
.param P  {(0.00024452775*URAMP(GG+EP/4.0606543)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0001486389*M1*M2)}
.param IG {(0.00012226387*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00021794382*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 4p
.ENDS
