*
* Generic triode model: 50HB26T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:23 2008
*               Plate
*               | Grid
*               | | Cathode
*               | | |
.SUBCKT 50HB26T A G K
.param GG {(V(G,K)+0.99999978)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.092479665*EP)^-0.92218999)}
.param M2 {((0.6192743*URAMP(GG+EP/4.1168586))^2.42219)}
.param P  {(0.0043389918*URAMP(GG+EP/6.6478758)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0027704924*M1*M2)}
.param IG {(0.0021694959*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0031844715*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.6p
CGK G K 9.8p
CAK A K 6.7p
.ENDS
