*
* Generic triode model: 5998
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:08 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 5998 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.1360498*EP)^-1.7828871)}
.param M2 {((0.4569149*URAMP(GG+EP/3.9918111))^3.2828871)}
.param P  {(0.0069534109*URAMP(GG+EP/8.7364434)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0094617726*M1*M2)}
.param IG {(0.0034767055*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0047041065*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.6p
CGK G K 6p
CAK A K 2.2p
.ENDS
