*
* Generic triode model: 6414
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:20 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6414 A G K
.param GG {(V(G,K)+-0.25147459)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.026968201*EP)^-2.4186148)}
.param M2 {((0.38278833*URAMP(GG+EP/22.886646))^3.9186148)}
.param P  {(0.0056897851*URAMP(GG+EP/59.789299)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.01806754*M1*M2)}
.param IG {(0.0029092955*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0017392527*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.6p
CGK G K 5p
CAK A K 0.6p
.ENDS
