*
* Generic triode model: 6550AT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:21 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6550AT A G K
.param GG {(V(G,K)+0.1919366)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.064698506*EP)^-0.90961742)}
.param M2 {((0.62250546*URAMP(GG+EP/5.8346717))^2.4096174)}
.param P  {(0.0027588474*URAMP(GG+EP/9.3728844)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0017503674*M1*M2)}
.param IG {(0.0013794237*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0018325138*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 8.6p
CAK A K 9.2p
.ENDS
