*
* Generic triode model: 6BM8PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:18 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6BM8PT A G K
.param GG {(V(G,K)+0.90753334)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.058205333*EP)^-0.96337515)}
.param M2 {((0.60892065*URAMP(GG+EP/6.7189608))^2.4633752)}
.param P  {(0.0032859022*URAMP(GG+EP/11.034214)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0021448732*M1*M2)}
.param IG {(0.0016429511*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.002099612*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.9p
CGK G K 5.4p
CAK A K 7.7p
.ENDS
