*
* Generic triode model: 6BM8T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:16 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6BM8T A G K
.param GG {(V(G,K)+0.43636433)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0039399689*EP)^-0.44800866)}
.param M2 {((0.77001711*URAMP(GG+EP/58.371753))^1.9480087)}
.param P  {(0.0015179644*URAMP(GG+EP/75.805787)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00088337368*M1*M2)}
.param IG {(0.00075898218*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0007891176*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 2.7p
CAK A K 4p
.ENDS
