*
* Generic triode model: 6C8
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:29 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 6C8 A G K
.param GG {(V(G,K)+0.83697566)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0025120128*EP)^-0.14595588)}
.param M2 {((0.91132455*URAMP(GG+EP/35.300556))^1.6459559)}
.param P  {(0.00061711142*URAMP(GG+EP/38.735438)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00043921307*M1*M2)}
.param IG {(0.00030855571*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00033260645*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.6p
CGK G K 2.6p
CAK A K 2.2p
.ENDS
