*
* Generic triode model: 6CL6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:43 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CL6T A G K
.param GG {(V(G,K)+0.23313833)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.023688975*EP)^-0.93652529)}
.param M2 {((0.6156308*URAMP(GG+EP/16.225658))^2.4365253)}
.param P  {(0.0060982027*URAMP(GG+EP/26.356151)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0039229723*M1*M2)}
.param IG {(0.0030491014*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0033994382*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.5p
CGK G K 6.5p
CAK A K 5.4p
.ENDS
