*
* Generic triode model: 6DQ5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:49 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6DQ5T A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.097911417*EP)^-0.59116807)}
.param M2 {((0.71730246*URAMP(GG+EP/2.8872786))^2.0911681)}
.param P  {(0.0034387228*URAMP(GG+EP/4.0251899)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.001983081*M1*M2)}
.param IG {(0.0017193614*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0030773802*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.5p
CGK G K 13.5p
CAK A K 10.5p
.ENDS
