*
* Generic triode model: 6GY5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:13 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6GY5T A G K
.param GG {(V(G,K)+0.32801613)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.13136914*EP)^-1.2504039)}
.param M2 {((0.54537444*URAMP(GG+EP/3.4606724))^2.7504039)}
.param P  {(0.0046747506*URAMP(GG+EP/6.345498)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0037232771*M1*M2)}
.param IG {(0.0023373753*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0034848868*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.1p
CGK G K 12.9p
CAK A K 8.5p
.ENDS
