*
* Generic triode model: 6JE6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:16 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6JE6T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.15531724*EP)^-0.92957636)}
.param M2 {((0.61739158*URAMP(GG+EP/2.4633995))^2.4295764)}
.param P  {(0.0036485186*URAMP(GG+EP/3.9900115)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0023385402*M1*M2)}
.param IG {(0.0018242593*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0032785303*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.1p
CGK G K 12.9p
CAK A K 10.5p
.ENDS
