*
* Generic triode model: 6LG6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:42 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6LG6T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.11768156*EP)^-0.95241752)}
.param M2 {((0.61164136*URAMP(GG+EP/3.3000807))^2.4524175)}
.param P  {(0.0055353672*URAMP(GG+EP/5.3954505)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.003591442*M1*M2)}
.param IG {(0.0027676836*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0043758251*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 10.5p
CGK G K 14.5p
CAK A K 12.2p
.ENDS
