*
* Generic triode model: 6SQ7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:59 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6SQ7 A G K
.param GG {(V(G,K)+0.73774817)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0014361986*EP)^-0.21629832)}
.param M2 {((0.87397394*URAMP(GG+EP/87.749749))^1.7162983)}
.param P  {(0.00075255807*URAMP(GG+EP/100.40316)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00049502244*M1*M2)}
.param IG {(0.00037627904*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00038755003*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.7p
CGK G K 1.7p
CAK A K 3.8p
.ENDS
