*
* Generic triode model: 71A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:45 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 71A A G K
.param GG {(V(G,K)+-0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.058225528*EP)^-0.29538374)}
.param M2 {((0.83547598*URAMP(GG+EP/2.8256337))^1.7953837)}
.param P  {(0.00034434696*URAMP(GG+EP/3.3820645)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00021307994*M1*M2)}
.param IG {(0.00017217348*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00033568367*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.5p
CGK G K 3.2p
CAK A K 2.9p
.ENDS
