*
* Generic triode model: 7591T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:23 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 7591T A G K
.param GG {(V(G,K)+0.99926889)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.013694604*EP)^-0.39656351)}
.param M2 {((0.79090417*URAMP(GG+EP/15.268483))^1.8965635)}
.param P  {(0.0034491916*URAMP(GG+EP/19.305098)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0020351267*M1*M2)}
.param IG {(0.0017245958*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0019960381*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.2p
CGK G K 5.9p
CAK A K 4.8p
.ENDS
