*
* Generic triode model: AD1
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:28 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT AD1 A G K
.param GG {(V(G,K)+0.99548209)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.033599669*EP)^-0.23303356)}
.param M2 {((0.8655343*URAMP(GG+EP/4.0019946))^1.7330336)}
.param P  {(0.0011960914*URAMP(GG+EP/4.6237273)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00077502632*M1*M2)}
.param IG {(0.00059804568*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0010063534*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 23p
CGK G K 7.5p
CAK A K 5.5p
.ENDS
