*
* Generic triode model: DA30
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:30 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT DA30 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.07753701*EP)^-0.45364741)}
.param M2 {((0.76779464*URAMP(GG+EP/2.9947681))^1.9536474)}
.param P  {(0.00090166046*URAMP(GG+EP/3.9004806)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00052412019*M1*M2)}
.param IG {(0.00045083023*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00081893623*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 13p
CGK G K 10p
CAK A K 6.5p
.ENDS
