*
* Generic triode model: EL34T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:48 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT EL34T A G K
.param GG {(V(G,K)+0.29360503)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.040003405*EP)^-0.73308055)}
.param M2 {((0.67171782*URAMP(GG+EP/8.2063559))^2.2330806)}
.param P  {(0.0033402929*URAMP(GG+EP/12.216969)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0019762451*M1*M2)}
.param IG {(0.0016701465*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020885491*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.2p
CGK G K 9.1p
CAK A K 8.4p
.ENDS
