*
* Generic triode model: MH4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:57 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT MH4 A G K
.param GG {(V(G,K)+0.58255619)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0059036471*EP)^-0.42275823)}
.param M2 {((0.78012928*URAMP(GG+EP/37.243201))^1.9227582)}
.param P  {(0.017484357*URAMP(GG+EP/47.739781)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.010236064*M1*M2)}
.param IG {(0.0087421787*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00929441*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.7p
CGK G K 7p
CAK A K 6.5p
.ENDS
