*
* Generic triode model: MH41
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:59 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT MH41 A G K
.param GG {(V(G,K)+0.69037329)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.016743849*EP)^-2.3893886)}
.param M2 {((0.38566473*URAMP(GG+EP/36.690206))^3.8893886)}
.param P  {(0.0031372081*URAMP(GG+EP/95.134979)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0095426065*M1*M2)}
.param IG {(0.0015686041*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0016181984*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.2p
CGK G K 8.5p
CAK A K 4.1p
.ENDS
